CGMINER(1)

NAME
cgminer - multi-threaded multi-pool GPU, FPGA and CPU bitcoin miner.

SYNOPSIS
cgminer [-DdGEgIKklmpPQqsTouvwOchnV]

DESCRIPTION
multi-threaded multi-pool GPU, FPGA and CPU bitcoin miner. Built with bflsc GPU bitforce icarus avalon modminer scrypt mining support.

OPTIONS

  Options for both config file and command line:

--api-allow <arg>
    Allow API access only to the given list of [G:]IP[/Prefix] addresses[/subnets]

--api-description <arg>
    Description placed in the API status header, default: cgminer version

--api-groups <arg>
    API one letter groups G:cmd:cmd[,P:cmd:*...] defining the cmds a groups can use

--api-listen
    Enable API, default: disabled

--api-network
    Allow API (if enabled) to listen on/for any address, default: only 127.0.0.1

--api-port <arg>
    Port number of miner API (default: 4028)

--balance
    Change multipool strategy from failover to even share balance

--benchmark
    Run cgminer in benchmark mode - produces no shares

--bfl-range
    Use nonce range on bitforce devices if supported

--compact
    Use compact display without per device statistics

--debug|-D
    Enable debug output

--device|-d <arg>
    Select device to use, (Use repeat -d for multiple devices, default: all)

--disable-gpu|-G
    Disable GPU mining even if suitable devices exist

--disable-rejecting
    Automatically disable pools that continually reject shares

--expiry|-E <arg>
    Upper bound on how many seconds after getting work we consider a share from it stale (default: 120)

--failover-only
    Don't leak work to backup pools when primary pool is lagging

--fix-protocol
    Do not redirect to a different getwork protocol (eg. stratum)

--gpu-dyninterval <arg>
    Set the refresh interval in ms for GPUs using dynamic intensity (default: 7)

--gpu-platform <arg>
    Select OpenCL platform ID to use for GPU mining (default: -1)

--gpu-threads|-g <arg>
    Number of threads per GPU (1 - 10) (default: -1)

--lookup-gap <arg>
    Set GPU lookup gap for scrypt mining, comma separated

--intensity|-I <arg>
    Intensity of GPU scanning (d or -10 -> 20, default: d to maintain desktop interactivity)

--hotplug <arg>
    Seconds between hotplug checks (0 means never check)

--kernel-path|-K <arg>
    Specify a path to where bitstream and kernel files are (default: "/usr/lib/cgminer")

--kernel|-k <arg>
    Override sha256 kernel to use (diablo, poclbm, phatk or diakgcn) - one value or comma separated

--load-balance
    Change multipool strategy from failover to efficiency based balance

--log|-l <arg>
    Interval in seconds between log output (default: 5)

--lowmem
    Minimise caching of shares for low memory applications

--monitor|-m <arg>
    Use custom pipe cmd for output messages

--net-delay
    Impose small delays in networking to not overload slow routers

--no-restart
    Do not attempt to restart GPUs that hang

--no-submit-stale
    Don't submit shares if they are detected as stale

--pass|-p <arg>
    Password for bitcoin JSON-RPC server

--per-device-stats
    Force verbose mode and output per-device statistics

--protocol-dump|-P
    Verbose dump of protocol-level activities

--queue|-Q <arg>
    Minimum number of work items to have queued (0+) (default: 1)

--quiet|-q
    Disable logging output, display status and errors

--real-quiet
    Disable all output

--remove-disabled
    Remove disabled devices entirely, as if they didn't exist

--rotate <arg>
    Change multipool strategy from failover to regularly rotate at N minutes (default: 0)

--round-robin
    Change multipool strategy from failover to round robin on failure

--scan-time|-s <arg>
    Upper bound on time spent scanning current work, in seconds (default: -1)

--sched-start <arg>
    Set a time of day in HH:MM to start mining (a once off without a stop time)

--sched-stop <arg>
    Set a time of day in HH:MM to stop mining (will quit without a start time)

--scrypt
    Use the scrypt algorithm for mining (litecoin only)

--shaders <arg>
    GPU shaders per card for tuning scrypt, comma separated

--sharelog <arg>
    Append share log to file

--shares <arg>
    Quit after mining N shares (default: unlimited)

--socks-proxy <arg>
    Set socks4 proxy (host:port)

--syslog
    Use system log for output messages (default: standard error)

--temp-cutoff <arg>
    Temperature where a device will be automatically disabled, one value or comma separated list (default: 95)

--text-only|-T
    Disable ncurses formatted screen output

--thread-concurrency <arg>
    Set GPU thread concurrency for scrypt mining, comma separated

--url|-o <arg>
    URL for bitcoin JSON-RPC server

--user|-u <arg>
    Username for bitcoin JSON-RPC server

--usb <arg>
    USB device selection

--vectors|-v <arg>
    Override detected optimal vector (1, 2 or 4) - one value or comma separated list

--verbose
    Log verbose output to stderr as well as status output

--worksize|-w <arg>
    Override detected optimal worksize - one value or comma separated list

--userpass|-O <arg>
    Username:Password pair for bitcoin JSON-RPC server

--worktime
    Display extra work time debug information

  Options for command line only:

--config|-c <arg>
    Load a JSON-format configuration file See example.conf for an example configuration.

--default-config <arg>
    Specify the filename of the default config file Loaded at start and used when saving without a name.

--help|-h
    Print this message

--ndevs|-n
    Display number of detected GPUs, OpenCL platform information, all USB devices, and exit

--version|-V
    Display version and exit